Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.impl
Class ManagedEntityValueIteratorImpl

    java.lang.Object
      com.sun.management.oss.impl.pm.util.ObjectIterator
          com.sun.management.oss.impl.ManagedEntityValueIteratorImpl

All Implemented Interfaces:
  ManagedEntityValueIterator, java.io.Serializable

Direct Known Subclasses:
  OperationalStatusMonitorValueIteratorImpl, PerformanceMonitorValueIteratorImpl

public class ManagedEntityValueIteratorImpl
extends ObjectIterator
implements ManagedEntityValueIterator

Title: Description: Copyright: Copyright (c) 2001 Company: Ericsson Radio Systems AB

Version:
  0.2
Author:
  Henrik Lindstr?m
See Also:
  Serialized Form

Constructor Summary
`ManagedEntityValueIteratorImpl(java.lang.Object[] objects)`

Method Summary
`ManagedEntityValue[]` | `getNext(int howMany)` Retrieve the next available values.

Methods inherited from class com.sun.management.oss.impl.pm.util.ObjectIterator
`getNextValue, remove`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sun.management.oss.ManagedEntityValueIterator
`remove`

Constructor Detail

### ManagedEntityValueIteratorImpl

    public ManagedEntityValueIteratorImpl(java.lang.Object[] objects)

Method Detail

### getNext

    public ManagedEntityValue[] getNext(int howMany)

  Description copied from interface: `ManagedEntityValueIterator`
  Retrieve the next available values.

  Specified by:
    `getNext` in interface `ManagedEntityValueIterator`
  Parameters:
    `howMany` -
  Returns:
    com.sun.management.oss.ManagedEntityValue[]

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD